package org.jeecg.modules.api.okki.externallink.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: SEO数据外链
 * @Author: jeecg-boot
 * @Date:   2024-05-09
 * @Version: V1.0
 */
@Data
@TableName("okki_external_link")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="okki_external_link对象", description="SEO数据外链")
public class OkkiExternalLink implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**站点id*/
    @Excel(name = "站点id", width = 15)
    @ApiModelProperty(value = "站点id")
    private Integer siteId;
	/**外链id*/
	@Excel(name = "外链id", width = 15)
    @ApiModelProperty(value = "外链id")
    private Integer externalLinkId;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private String title;
	/**文章发布的链接地址*/
	@Excel(name = "文章发布的链接地址", width = 15)
    @ApiModelProperty(value = "文章发布的链接地址")
    private String url;
	/**图片地址*/
	@Excel(name = "图片地址", width = 15)
    @ApiModelProperty(value = "图片地址")
    private String pic;
	/**文章内容*/
	@Excel(name = "文章内容", width = 15)
    @ApiModelProperty(value = "文章内容")
    private String content;
	/**文章ai检测分数*/
	@Excel(name = "文章ai检测分数", width = 15)
    @ApiModelProperty(value = "文章ai检测分数")
    private Integer reportScore;
	/**检测报告地址*/
	@Excel(name = "检测报告地址", width = 15)
    @ApiModelProperty(value = "检测报告地址")
    private String reportLink;
	/**启用标志*/
	@Excel(name = "启用标志", width = 15, dicCode = "enable_flag")
	@Dict(dicCode = "enable_flag")
    @ApiModelProperty(value = "启用标志")
    private Integer enableFlag;
    /**同步状态*/
    @Excel(name = "同步状态", width = 15, dicCode = "blog_status")
    @Dict(dicCode = "blog_status")
    @ApiModelProperty(value = "同步状态")
    private Integer status;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
}
